From 62e7d0aa0506c5f938230aaf416ff87c4e451814 Mon Sep 17 00:00:00 2001
From: matta adrien <matta@lpccaen.in2p3.fr>
Date: Wed, 9 Nov 2016 09:57:10 +0100
Subject: [PATCH] * Addign safety net to build_dict.sh         - check rootcint
 binary is present and issue error message if           not         - Error
 message gives hint of the problem root and suggest           solution

---
 NPLib/scripts/build_dict.sh | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/NPLib/scripts/build_dict.sh b/NPLib/scripts/build_dict.sh
index 6bf29c677..0559d302b 100755
--- a/NPLib/scripts/build_dict.sh
+++ b/NPLib/scripts/build_dict.sh
@@ -3,11 +3,14 @@
 # This script detect the root version and call the command necessary to build 
 # a Dictionnary, rootmap and pcm file accordingly
 
+# check rootcint exist
+command -v pipo >/dev/null 2>&1 || { printf >&2 "ERROR : rootcint binary not found.\n * For ROOT install from source check that \$ROOTSYS/bin is in your PATH\n * For Macports ROOT install consider adding /opt/local/bin to your PATH\n * For debian ROOT install consider adding /usr/bin to your PATH\n"; exit 1; }
+
 # Checking that enought argument are given
 if [ "$#" -lt 4 ]
   then
     echo "Dictionnary Generation in : $PWD"
-    echo "Incorrect argument number : 1.Header 2.DictName 3.Rootmap 4.LibName (optional)5.LinkDefFile"
+    echo "Incorrect argument number : 1.Header 2.DictName 3.Rootmap 4.LibName 5.(optional)LinkDefFile"
     echo "Arguments are : $@"
     exit 1
 fi
-- 
GitLab